Skip to main content
GET
/
v1
/
bot
/
email
/
readall
List Emails
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/email/readall \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "emails": [
    {
      "uuid": "<string>",
      "direction": "inbound",
      "from_address": "<string>",
      "to_address": "<string>",
      "subject": "<string>",
      "text_body": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

page
integer
default:1

Page number

per_page
integer
default:50

Results per page

status
string

Filter by status

direction
enum<string>

Filter by direction

Available options:
inbound,
outbound

Response

200 - application/json

Email list

total
integer
emails
object[]
pagination
object